This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697967 - Use policykit to show the root crashes
Use policykit to show the root crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2011-04-19 15:18 EDT by Steve Tyler
Modified: 2015-02-01 17:53 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2011-04-19 15:18:11 EDT
Description of problem:
Some abrt crash dumps are owned by abrt and not by a normal user. This means that a privileged user must report the crashes. However, abrt cannot connect to the gnome keyring daemon when running as root in a normal user session, so the report cannot be submitted to bugzilla.

[joeblow@fir ~]$ sudo abrt-gui
[sudo] password for joeblow: 
Cannot connect to Gnome keyring daemon
Cannot connect to Gnome keyring daemon
Cannot connect to Gnome keyring daemon
[joeblow@fir ~]$ id
uid=500(joeblow) gid=500(joeblow) groups=500(joeblow),10(wheel) context=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023

This seems to partially work:
[joeblow@fir ~]$ sudo seahorse
[sudo] password for joeblow: 

** (seahorse:2285): WARNING **: DNS-SD initialization failed: Daemon not running
** Message: init gpgme version 1.3.0

** (seahorse:2285): WARNING **: couldn't get default keyring name: Error communicating with gnome-keyring-daemon

Version-Release number of selected component (if applicable):
abrt-2.0.0-5.fc15.x86_64
gnome-keyring-3.0.0-1.fc15.x86_64
seahorse-3.0.0-1.fc15.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. $ sudo abrt-gui
  
Actual results:
Cannot connect to Gnome keyring daemon

Expected results:
abrt-gui connects to Gnome keyring daemon as root

Additional info:
Comment 1 Steve Tyler 2011-04-19 15:21:33 EDT
I tried switching to root as a user, but gdm will not let me log in to a desktop session as root, saying "Authentication failure".
Comment 2 Jiri Moskovcak 2011-04-19 15:41:00 EDT
AFAIK gdb by default forbids to log in as root. As I wrote in #697596:

You can still submit a bug, the only problem is that you need to fill username
and password everytime, because ABRT wouldn't remember it.. if you don't like
running gui apps as root you can use abrt-cli.
Comment 3 Steve Tyler 2011-04-19 15:48:55 EDT
Thanks, Jiri. Here is your entire comment from Bug 697596, Comment 6.

> 
> How does a privileged user submit a report to BZ?
> (Without logging into a desktop session, which is inconvenient and risky.)
> 

You can still submit a bug, the only problem is that you need to fill username
and password everytime, because ABRT wouldn't remember it.. if you don't like
running gui apps as root you can use abrt-cli.

I'd like to simplify the process of reporting root crashes, please see
https://fedorahosted.org/abrt/ticket/210 for details.

> This seems to work:
> $ sudo seahorse

Hm, can look into this, but the solution with polkit seems better...
Comment 4 Steve Tyler 2011-04-19 16:24:06 EDT
(In reply to comment #3)
> Thanks, Jiri. Here is your entire comment from Bug 697596, Comment 6.
> 
> > 
> > How does a privileged user submit a report to BZ?
> > (Without logging into a desktop session, which is inconvenient and risky.)
> > 
> 
> You can still submit a bug, the only problem is that you need to fill username
> and password everytime, because ABRT wouldn't remember it.. if you don't like
> running gui apps as root you can use abrt-cli.

"sudo abrt-gui": I filled in my BZ login info, but never reached the submitting stage. Could there be a regression?

"sudo abrt-cli": Worked great! Bug 697984. :-)

> I'd like to simplify the process of reporting root crashes, please see
> https://fedorahosted.org/abrt/ticket/210 for details.

That sounds terrific.

> > This seems to work:
> > $ sudo seahorse
> 
> Hm, can look into this, but the solution with polkit seems better...

Sorry I wasn't more clear. All I meant is that seahorse seems to be able to connect to the gnome keyring daemon as root. As a normal user, seahorse shows the abrt configuration, including the BZ password.
Comment 5 Foxcool 2011-04-27 00:59:24 EDT
If I input
$su
password
#abrt-gui

he also call "Cannot connect to Gnome keyring daemon"
Comment 6 Jiri Moskovcak 2011-04-27 08:32:57 EDT
on my machine seahorse is not able to connect to the keyring daemon (as expected):
 su -
Password: 
[14:26:46 root@dhcp-25-200 ~]# seahorse

** (seahorse:9782): WARNING **: DNS-SD initialization failed: Daemon not running
** Message: init gpgme version 1.3.0

** (seahorse:9782): WARNING **: couldn't get default keyring name: Error communicating with gnome-keyring-daemon

(In reply to comment #5)
> If I input
> $su
> password
> #abrt-gui
> 
> he also call "Cannot connect to Gnome keyring daemon"

- this only means that your credentials won't be remembered, but you can fill them (in the wizard, not in the main gui!) and report the bug..
Comment 7 Steve Tyler 2011-04-27 12:12:27 EDT
(In reply to comment #6)
> on my machine seahorse is not able to connect to the keyring daemon (as
> expected):
>  su -
> Password: 
> [14:26:46 root@dhcp-25-200 ~]# seahorse
> 
> ** (seahorse:9782): WARNING **: DNS-SD initialization failed: Daemon not
> running
> ** Message: init gpgme version 1.3.0
> 
> ** (seahorse:9782): WARNING **: couldn't get default keyring name: Error
> communicating with gnome-keyring-daemon
...

OK, you are right. I looked closer at the GUI, and it does indeed say
"Couldn't communicate with key ring daemon" at the bottom of the dialog.
I guess the seahorse devs are too subtle for me ... :-)
Comment 8 Steve Tyler 2011-04-27 12:45:09 EDT
(In reply to comment #6)
...
> (In reply to comment #5)
> > If I input
> > $su
> > password
> > #abrt-gui
> > 
> > he also call "Cannot connect to Gnome keyring daemon"
> 
> - this only means that your credentials won't be remembered, but you can fill
> them (in the wizard, not in the main gui!) and report the bug..

I finally submitted a bug report as root from abrt-gui.

The trick is to ignore all the error messages, and know that the credentials need to be reentered for *each* report -- even if you do not quit abrt-gui between submissions.

abrt-gui-2.0.1-2.fc15.x86_64
Comment 9 Jiri Moskovcak 2011-04-27 15:54:54 EDT
main window with the buglist and the wizard are separate applications, so when you finish reporting the wizard closes and bz credential are gone with it..
Comment 10 Steve Tyler 2011-04-27 16:38:02 EDT
(In reply to comment #9)
> main window with the buglist and the wizard are separate applications, so when
> you finish reporting the wizard closes and bz credential are gone with it..

OK, thanks. I was thinking that "ps -ef | grep abrt" would find all the related processes ...

$ ps -ef
...
joeblow   2444  2387  1 13:26 pts/0    00:00:00 abrt-gui
joeblow   2445  2382  0 13:26 pts/1    00:00:00 bash
joeblow   2459  2444  2 13:26 pts/0    00:00:00 bug-reporting-wizard /home/joeblow/.abrt/spool/ccpp-2011-04-22-03:16:31-2178
...

$ rpm -qf /usr/bin/bug-reporting-wizard
libreport-gtk-2.0.1-2.fc15.x86_64
Comment 11 Jiri Moskovcak 2011-11-30 10:05:52 EST
Moving to ABRTF18 because the uncertain future of GUI
Comment 12 Fedora End Of Life 2012-08-07 12:34:44 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jiri Moskovcak 2012-08-08 03:07:49 EDT
This is fixed in since abrt-2.0.10

Note You need to log in before you can comment on or make changes to this bug.